Skip to main content

Try Nano Banana 2 - Image Edit in the Workbench

Run this model interactively, tune parameters, and compare outputs.
Model ID: nano-banana-2-edit Gemini 2.5 Flash Image (aka nano-banana), is a state-of-the-art image generation and editing model capable of blending multiple images into a single image, maintaining character consistency for storytelling, making targeted transformations with natural language prompts (e.g., blurring backgrounds, removing objects, altering poses, colorizing B&W photos), and using Gemini’s world knowledge for semantic understanding of real-world scenarios. It excels at visual templates for applications like real estate, badges, product mockups, multi-image fusion (e.g., placing objects in scenes, restyling rooms), and interactive educational tools. The model includes SynthID watermarking for AI-generated content identification.

Example request

Use the Workbench as a request builder: configure parameters for this model in the UI, then open the API tab to copy the exact cURL or Python call.
See the image editing reference for more details.
curl -X POST https://hub.oxen.ai/api/ai/images/edit \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $OXEN_API_KEY" \
  -d '{
  "model": "nano-banana-2-edit",
  "prompt": "<prompt>",
  "input_image": [
    "https://hub.oxen.ai/api/repos/elau/assets/file/main/bloxy/bloxy_cropped_512x512.png"
  ]
}'

Fetch model details

The models endpoint returns the full model object, including its json_request_schema.
curl -H "Authorization: Bearer $OXEN_API_KEY" https://hub.oxen.ai/api/ai/models/nano-banana-2-edit

Request parameters

Required parameters

FieldTypeDefaultDescription
promptstringText description of what you want to generate, or the instruction on how to edit the given image.
input_imagearray<string>Input images to transform or use as reference (supports multiple image urls)

Optional parameters

FieldTypeDefaultDescription
aspect_ratiostring"auto"Aspect ratio for the generated image One of: auto, 1:1, 16:9, 9:16, 4:3, 3:4, 3:2, 2:3, 4:5, 5:4, 21:9, 4:1, 1:4, 8:1, 1:8.
resolutionstring"2K"Resolution of the generated image One of: 1K, 2K, 4K.
enable_web_searchbooleantrueEnable web search for the image generation task. This will allow the model to use the latest information from the web to generate the image.
safety_tolerancestring"6"The safety tolerance level for content moderation. 1 is the most strict (blocks most content), 6 is the least strict. Default value: 4 One of: 1, 2, 3, 4, 5, 6.